Home Information Classes Download Usage Mail List Requirements Links FAQ Tutorial

# stk::Skini::Message Struct Reference

A message structure to store and pass parsed SKINI messages. More...

`#include <Skini.h>`

List of all members.

## Public Attributes
long | type
long | channel
StkFloat | time
std::vector< StkFloat > | floatValues
std::vector< long > | intValues
std::string | remainder

## Detailed Description

A message structure to store and pass parsed SKINI messages.

## Member Data Documentation

long stk::Skini::Message::type

The message type, as defined in SKINI.msg.

long stk::Skini::Message::channel

The message channel (not limited to 16!).

StkFloat stk::Skini::Message::time

The message time stamp in seconds (delta or absolute).

std::vector<StkFloat> stk::Skini::Message::floatValues

The message values read as floats (values are type-specific).

std::vector<long> stk::Skini::Message::intValues

The message values read as ints (number and values are type-specific).

std::string stk::Skini::Message::remainder

Any remaining message data, read as ascii text.

The documentation for this struct was generated from the following file:

- Skini.h

The Synthesis ToolKit in C++ (STK)
©1995-2010 Perry R. Cook and Gary P. Scavone. All Rights Reserved.